Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.commons
Class HtmlTagEnumerator

    java.lang.Object
      org.makumba.commons.HtmlTagEnumerator

    public class HtmlTagEnumerator

extends Object

This class is a utility class which enumerates HTML tags of a given Reader.

Version:
  $Id: HtmlTagEnumerator.java 1688 2007-09-25 12:54:46Z manuel_gay $
Author:
  Cristian Bogdan

Field Summary
`(package private) boolean` | `ended`
`(package private) boolean` | `inTag`
`(package private) String` | `lastString`
`(package private) String` | `lastTag`
`(package private) Reader` | `source`
`(package private) StringBuffer` | `string`
`(package private) StringBuffer` | `tag`

Constructor Summary
`HtmlTagEnumerator(Reader r)`

Method Summary
`String` | `getNonHtml()`
`String` | `getTag()`
`String` | `getTagType()`
`(package private) void` | `init()`
`static void` | `main(String[] argv)`
`boolean` | `next()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### source

    Reader source

### tag

    StringBuffer tag

### string

    StringBuffer string

### lastString

    String lastString

### lastTag

    String lastTag

### inTag

    boolean inTag

### ended

    boolean ended

Constructor Detail

### HtmlTagEnumerator

    public HtmlTagEnumerator(Reader r)

Method Detail

### init

    void init()

### next

    public boolean next()
                 throws IOException

  Throws:
    `IOException`

### getNonHtml

    public String getNonHtml()

### getTag

    public String getTag()

### getTagType

    public String getTagType()

### main

    public static void main(String[] argv)
                     throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20